# DOFMipMapShader

## Import

DOFMipMapShader is an addon, and must be imported explicitly, see [Installation#Addons](https://threejs.org/manual/#en/installation).

```js
import { DOFMipMapShader } from 'three/addons/shaders/DOFMipMapShader.js';
```

## Properties

### .DOFMipMapShader : ShaderMaterial~Shader (inner, constant)

Depth-of-field shader using mipmaps from Matt Handley @applmak.

Requires power-of-2 sized render target with enabled mipmaps.

## Source

[examples/jsm/shaders/DOFMipMapShader.js](https://github.com/mrdoob/three.js/blob/master/examples/jsm/shaders/DOFMipMapShader.js)